
BIBD 3.9.8 (BCR1085, BCR1093, BCR1098) - Bug #17776

[BCR1098][iOS][Bill Payment Fav][Manage Fav] Error Message for missing field should be more

specific

13 September 2023 03:28 PM - Feerman Yusoff

Status: Closed Start date: 13 September 2023

Priority: Normal Due date:  

Assignee: wanansari wanansari % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Steps:

1. Click Settings and go to Manage Favourites

2. Select Bill Payment

3. Click Add to Favourites

4. Input empty in Nickname, Payee Name and Bill No./Ref-1 field

Issue: Error Message for missing field should be more specific

Expected: Should Display error for all mandatory missing field

1. If empty nickname, Display error "Please enter Nickname"

2. If not select payee name, Display error "Please select Payee Name"

3. If empty Bill No./Ref-1, Display error "Please enter Bill No./Ref-1"

4. If empty nickname and Bill No./Ref-1, Display error "Please enter Nickname, Bill No./Ref-1"

5. If empty nickname, payee name and Bill No./Ref-1, "Please enter Nickname, Payee Name, Bill No./Ref-1"

History

#1 - 14 September 2023 12:05 PM - Abdul Halim Baharom

- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 14 September 2023 12:25 PM - Abdul Halim Baharom

- Assignee changed from Abdul Halim Baharom to Feerman Yusoff

Fixed

#3 - 15 September 2023 03:04 PM - Feerman Yusoff

- Status changed from Resolved to Assigned

- Assignee changed from Feerman Yusoff to Abdul Halim Baharom

Additional Error Message for missing field

1. If empty nickname and payee name, Display error "Please enter Nickname, payee name"

2. If empty payee name and Bill No./Ref-1, "Please enter Payee Name, Bill No./Ref-1"

#4 - 19 September 2023 06:17 PM - Abdul Halim Baharom

- Assignee changed from Abdul Halim Baharom to Feerman Yusoff

Fixed

#5 - 21 September 2023 06:04 PM - Feerman Yusoff

- Status changed from Assigned to Closed
- Assignee changed from Feerman Yusoff to wanansari wanansari

Tested good
